(function ($) {
    $(window).load(function () {

        var selectedatearray = [];
        var gethiddenvalue = $('#add_wcodd_multidatepicker').val();
        
        if (gethiddenvalue != '' && typeof gethiddenvalue != "undefined") {
            selectedatearray = $.trim(gethiddenvalue.split(","));
            $('#wcodd_multidatepicker').multiDatesPicker({
                dateFormat: "mm/dd/yy",
                minDate: 0,
                beforeShowDay: function (date) {
                    var string = jQuery.datepicker.formatDate('yy-mm-dd', date);
                    return [selectedatearray.indexOf(string) === -1];
                },
                onSelect: function (date) {
                    add_multiple_date(date);
                }
            });

        } else {
            $('#wcodd_multidatepicker').multiDatesPicker({
                dateFormat: "mm/dd/yy",
                minDate: 0,
                onSelect: function (date) {
                    add_multiple_date(date);
                }
            });
        }

        function add_multiple_date(date) {
            date_test = $.datepicker.formatDate('yy-mm-dd', new Date(date));
            var gethiddendates = $('#add_wcodd_multidatepicker').val();
            
            if (gethiddendates != '') {
                addmultipledate = gethiddendates + ',' + date_test;
                $('#add_wcodd_multidatepicker').val(addmultipledate);
            } else {
                $('#add_wcodd_multidatepicker').val(date_test);
            }

        }

    });
})(jQuery);