<?php

/**
 * Fired during plugin activation
 *
 * @link       http://www.multidots.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Order_Delivery_Date
 * @subpackage Woocommerce_Order_Delivery_Date/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Woocommerce_Order_Delivery_Date
 * @subpackage Woocommerce_Order_Delivery_Date/includes
 * @author     multidots <info@multidots.in>
 */
class Woocommerce_Order_Delivery_Date_Activator {
 
	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() { 
		global $wpdb;	
		set_transient( '_welcome_screen_order_delivery_date_mode_activation_redirect_data', true, 30 );
		
		if( !in_array( 'woocommerce/woocommerce.php',apply_filters('active_plugins',get_option('active_plugins'))) && !is_plugin_active_for_network( 'woocommerce/woocommerce.php' )   ) { 
			wp_die( "<strong>Woocommerce Order Delivery Date</strong> Plugin requires <strong>WooCommerce</strong> <a href='".get_admin_url(null, 'plugins.php')."'>Plugins page</a>." );
		}

	}

}
