/*Check If Zip code is valid or not*/
jQuery(document).ready(function ($) {
    
    $( "<input type='hidden' id='disable_daterange' name='disable_daterange'>" ).insertAfter( $("#billing_postcode") );
    jQuery('body').on('blur', '#billing_postcode', function () {
        var zip_code_value = jQuery("#billing_postcode").val();
        order_delivery_date_updated_checkout(zip_code_value);
        return false;

    });

    function order_delivery_datepicker_date_updated_checkout(order_date_value) {
        jQuery.ajax({
            type: "POST",
            url: ajax_params.ajax_url,
            data: ({
                action: 'order_delivery_datepicker_date_check_zip_code',
                order_date_value: order_date_value
            }),
            success: function (message) {
            }
        });
    }

    function order_delivery_datepicker_date(order_date_value) {
        jQuery.ajax({
            type: "POST",
            url: ajax_params.ajax_url,
            data: ({
                action: 'wc_order_delivery_datepicker_date_update',
                order_date_value: order_date_value
            }),
            success: function (message) {
                jQuery("#odd_deliverydate_field .order_delivery_day").remove();
                jQuery("#odd_deliverydate_field").append("<span style=color:green class='order_delivery_day'>" + message + "</span>");
            }
        });
    }
    //Date picker
    jQuery('#odd_deliverydate').datepicker({
        minDate: 0,
        firstDay: 1,

        beforeShowDay: function (days) {
            var selectedIpArray = JSON.parse(get_disable_day_option.dayarray);
            var disable_order_delivery_date = JSON.parse(disable_order_delivery_date_admin.disable_order_delivery_date_admin);
            var disable_order_delivery_date_first_time = JSON.parse(disable_order_delivery_date_first.disable_order_delivery_date_first);
            var disable_order_delivery_date_second_time = jQuery('#disable_daterange').val();
            
            var month = ("0" + (days.getMonth() + 1)).slice(-2);
            var date = ("0" + days.getDate()).slice(-2);
            var year = days.getFullYear();
            var fulldate = month + "/" + date + "/" + year;
            var datestring = jQuery.datepicker.formatDate('mm/dd/yy', days);
            var realdates = jQuery.datepicker.formatDate('mm/dd/yy', days);

            var array = disable_order_delivery_date.split(',');
            var firstArray = disable_order_delivery_date_first_time.split(',');
            var secondArray = disable_order_delivery_date_second_time.split(',');
            var dayString = '';
            var selectedDayglobalarr = [];
            dayString = selectedIpArray.join(",");
            jQuery.each(dayString.split(","), function (i, e) {
                selectedDayglobalarr.push(e);
            });
            
            var day = days.getDay();
            
            if (typeof secondArray !== 'undefined' && secondArray.length > 1) {
                if ((jQuery.inArray(realdates, secondArray) !== -1) && datestring === realdates) {
                    return [false, "ordercssclass"];
                }
            } else {
                if (typeof firstArray !== 'undefined' && firstArray.length > 0) {
                    if ((jQuery.inArray(realdates, firstArray) !== -1) && datestring === realdates) {
                        return [false, "ordercssclass"];
                    }
                }
            }
            
            if ((jQuery.inArray(realdates, array) !== -1) && datestring === realdates) {
                return [false, "ordercssclass"];
            } else {
            }

            if ((day == 1 && jQuery.inArray("1", selectedDayglobalarr) !== -1)) {
                return [false, "ordercssclass"];
            } else if (day == 2 && jQuery.inArray("2", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else if (day == 3 && jQuery.inArray("3", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else if (day == 4 && jQuery.inArray("4", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else if (day == 5 && jQuery.inArray("5", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else if (day == 6 && jQuery.inArray("6", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else if (day == 0 && jQuery.inArray("0", selectedDayglobalarr) !== -1) {
                return [false, "ordercssclass"];
            } else {
                return [true, "ordercssclass"];
            }
        },
        onSelect: function (dateText, inst, date) {
            var order_date_value = jQuery("#odd_deliverydate").val();

            order_delivery_datepicker_date_updated_checkout(order_date_value);
            var selectedIpExrtaCostArray = JSON.parse(get_enable_day_with_price_day_option.enable_etxtra_cost_dayarray);
            var add_another_extra_cost_before_order = JSON.parse(get_etxtra_cost_before_order.add_another_etxtra_cost_before_order);
            var both_extra_cost = JSON.parse(both_extra_cost_enable.both_extra_cost_enable_or_not);
            var dayExtraString = '';
            var selectedExtraDayglobalarr = [];
            dayExtraString = selectedIpExrtaCostArray.join(",");
            jQuery.each(dayExtraString.split(","), function (i, e) {
                selectedExtraDayglobalarr.push(e);
            });
            var datetest = jQuery(this).datepicker('getDate');
            var dayOfWeek = datetest.getDay();
            var add_extra_cost_before = '';
            var add_extra_cost_day = '';
            if (add_another_extra_cost_before_order != '') {
                add_extra_cost_before = 'yes';
                add_extra_cost_before_order_delivery_date(add_another_extra_cost_before_order, dateText);
            }
            
            if (both_extra_cost != '') {

                add_extra_cost_day = 'yes';
                if ((dayOfWeek == 0 && jQuery.inArray("0", selectedExtraDayglobalarr) !== -1)) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 1 && jQuery.inArray("1", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 2 && jQuery.inArray("2", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 3 && jQuery.inArray("3", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 4 && jQuery.inArray("4", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 5 && jQuery.inArray("5", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else if (dayOfWeek == 6 && jQuery.inArray("6", selectedExtraDayglobalarr) !== -1) {
                    add_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [false, "ordercssclass"];
                } else {
                    add_no_extra_cost(dayOfWeek, add_extra_cost_before);
                    return [true, "ordercssclass"];
                }
            }
            if (add_extra_cost_day == '' && add_extra_cost_before == '') {
                order_delivery_datepicker_date(order_date_value);
            }
            return false;
        }

    });

    //function for add extra cost before excepted date 

    function add_extra_cost_before_order_delivery_date(add_another_extra_cost_before_order, dateText) {
        var zip_code_value = jQuery("#billing_postcode").val();
        jQuery.ajax({
            type: "POST",
            url: ajax_params.ajax_url,
            data: ({
                action: 'add_extra_cost_in_product_based',
                add_another_extra_cost_before_order: add_another_extra_cost_before_order,
                dateText: dateText,
                zip_code_value: zip_code_value
            }),
            success: function (data) {
                jQuery("#odd_deliverydate_field .order_delivery_day").remove();
                jQuery("#odd_deliverydate_field").append("<span style=color:green class='order_delivery_day'>" + data + "</span>");
                setTimeout(function () {
                    jQuery('body').trigger('update_checkout');
                }, 1000);
            }
        });

    }

    function setCustomDate(date) {
        var clazz = "";
        var arr1 = highlightDays(date);
        if (arr1[1] != "")
            clazz = arr1[1];

        var arr2 = disableAllTheseDays(date);
        var arr3 = $.datepicker.noWeekends(date);

        return [(!arr2[0] || !arr3[0]) ? false : true, clazz];
    }

});